// DEMO7.CPP -- demonstrate UNIX/C model
// Jim Fawcett, CSE687

#include <fstream.h>    // fstream includes iostream
#include <stdlib.h>     // defines exit

//----< int main(int argc, char *argv[]) >---------------------
//      Open files named on command line.
//      Does not expand wild card characters.

int main(int argc, char *argv[]) {
			// argv[i] points to ith token
  if (argc < 2) {       // argc counts number of tokens
    cerr << "please enter file name on command line\n";
    return 1;
  }
  int file_count = 0;
  cout << argv[0] << "\n"
       << "is attempting to open files cited on its command line:\n";
  while (--argc) {
    ifstream istrm(argv[++file_count]);
    if (!istrm) {       // istrm will be null if can't open file
      cerr << "  can't open  " << argv[file_count] << "\n";
      continue;   // causes processing to skip to bottom of loop
    }
    cout << "  opened file " << argv[file_count] << "\n";
    istrm.close();
  }
  return 0;
}
